=== removed file 'olive/backend/init.py'
--- olive/backend/init.py	2006-09-04 23:33:13 +0000
+++ olive/backend/init.py	1970-01-01 00:00:00 +0000
@@ -1,150 +0,0 @@
-# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
-# Some parts of the code are:
-# Copyright (C) 2005, 2006 by Canonical Ltd
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import errno
-import os
-
-import bzrlib
-import bzrlib.bzrdir as bzrdir
-
-from bzrlib.branch import Branch
-
-from bzrlib.errors import (AlreadyBranchError, BranchExistsWithoutWorkingTree)
-
-def branch(from_location, to_location, revision=None):
-    """ Create a branch from a local/remote location.
-    
-    :param from_location: the original location of the branch
-    
-    :param to_location: the directory where the branch should be created
-    
-    :param revision: if specified, the given revision will be branched
-    
-    :return: number of revisions branched
-    """
-    from bzrlib.transport import get_transport
-
-    br_from = Branch.open(from_location)
-
-    br_from.lock_read()
-
-    try:
-        basis_dir = None
-        if revision is not None:
-            revision_id = br_from.get_rev_id(revision)
-        else:
-            revision_id = None
-
-        to_location = to_location + '/' + os.path.basename(from_location.rstrip("/\\"))
-        name = None
-        to_transport = get_transport(to_location)
-
-        to_transport.mkdir('.')
-
-        try:
-            dir = br_from.bzrdir.sprout(to_transport.base, revision_id, basis_dir)
-            branch = dir.open_branch()
-        except NoSuchRevision:
-            to_transport.delete_tree('.')
-            raise
-
-        if name:
-            branch.control_files.put_utf8('branch-name', name)
-    finally:
-        br_from.unlock()
-        
-    return branch.revno()
-
-def checkout(branch_location, to_location, revision=None, lightweight=False):
-    """ Create a new checkout of an existing branch.
-    
-    :param branch_location: the location of the branch you'd like to checkout
-    
-    :param to_location: the directory where the checkout should be created
-    
-    :param revision: the given revision will be checkout'ed (be aware!)
-    
-    :param lightweight: perform a lightweight checkout (be aware!)
-    """
-    source = Branch.open(branch_location)
-    
-    if revision is not None:
-        revision_id = source.get_rev_id(revision)
-    else:
-        revision_id = None
-
-    # if the source and to_location are the same, 
-    # and there is no working tree,
-    # then reconstitute a branch
-    if (bzrlib.osutils.abspath(to_location) ==
-        bzrlib.osutils.abspath(branch_location)):
-        try:
-            source.bzrdir.open_workingtree()
-        except NoWorkingTree:
-            source.bzrdir.create_workingtree()
-            return
-
-    to_location = to_location + '/' + os.path.basename(branch_location.rstrip("/\\"))
-    
-    os.mkdir(to_location)
-
-    old_format = bzrlib.bzrdir.BzrDirFormat.get_default_format()
-    bzrlib.bzrdir.BzrDirFormat.set_default_format(bzrdir.BzrDirMetaFormat1())
-
-    try:
-        if lightweight:
-            checkout = bzrdir.BzrDirMetaFormat1().initialize(to_location)
-            bzrlib.branch.BranchReferenceFormat().initialize(checkout, source)
-        else:
-            checkout_branch = bzrlib.bzrdir.BzrDir.create_branch_convenience(
-                to_location, force_new_tree=False)
-            checkout = checkout_branch.bzrdir
-            checkout_branch.bind(source)
-            if revision_id is not None:
-                rh = checkout_branch.revision_history()
-                checkout_branch.set_revision_history(rh[:rh.index(revision_id) + 1])
-
-        checkout.create_workingtree(revision_id)
-    finally:
-        bzrlib.bzrdir.BzrDirFormat.set_default_format(old_format)
-
-def init(location):
-    """ Initialize a directory.
-    
-    :param location: full path to the directory you want to be versioned
-    """
-    from bzrlib.builtins import get_format_type
-
-    format = get_format_type('default')
- 
-    if not os.path.exists(location):
-        os.mkdir(location)
- 
-    try:
-        existing_bzrdir = bzrdir.BzrDir.open(location)
-    except NotBranchError:
-        bzrdir.BzrDir.create_branch_convenience(location, format=format)
-    else:
-        if existing_bzrdir.has_branch():
-            if existing_bzrdir.has_workingtree():
-                raise AlreadyBranchError(location)
-            else:
-                raise BranchExistsWithoutWorkingTree(location)
-        else:
-            existing_bzrdir.create_branch()
-            existing_bzrdir.create_workingtree()

=== modified file 'olive/frontend/gtk/branch.py'
--- olive/frontend/gtk/branch.py	2006-09-04 23:33:13 +0000
+++ olive/frontend/gtk/branch.py	2006-09-05 01:20:15 +0000
@@ -27,7 +27,6 @@
 except:
     sys.exit(1)
 
-import olive.backend.init as init
 import bzrlib.errors as errors
 
 class OliveBranch:
@@ -71,12 +70,36 @@
         
         spinbutton_revno = self.glade.get_widget('spinbutton_branch_revno')
         revno = spinbutton_revno.get_value_as_int()
-        if revno == 0:
-            revno = None
+        revision_id = br_from.get_rev_id(revno)
         
         self.comm.set_busy(self.window)
         try:
-            revs = init.branch(location, destination, revno)
+            from bzrlib.transport import get_transport
+
+            br_from = Branch.open(location)
+
+            br_from.lock_read()
+
+            try:
+                destination = destination + '/' + os.path.basename(location.rstrip("/\\"))
+                to_transport = get_transport(destination)
+
+                to_transport.mkdir('.')
+
+                try:
+                    dir = br_from.bzrdir.sprout(to_transport.base, revision_id)
+                    branch = dir.open_branch()
+                except NoSuchRevision:
+                    to_transport.delete_tree('.')
+                    raise
+
+            finally:
+                br_from.unlock()
+                
+            self.close()
+            self.dialog.info_dialog(_('Branching successful'),
+                                _('%d revision(s) branched.') % revs)
+            self.comm.refresh_right()
         except errors.NonExistingSource, errmsg:
             self.dialog.error_dialog(_('Non existing source'),
                                      _("The location (%s)\ndoesn't exist.") % errmsg)
@@ -102,13 +125,7 @@
                                      _('The specified location has to be a branch.'))
             self.comm.set_busy(self.window, False)
             return
-        except:
-            raise
         
-        self.close()
-        self.dialog.info_dialog(_('Branching successful'),
-                                _('%d revision(s) branched.') % revs)
-        self.comm.refresh_right()
 
     def close(self, widget=None):
         self.window.destroy()

=== modified file 'olive/frontend/gtk/checkout.py'
--- olive/frontend/gtk/checkout.py	2006-09-04 23:33:13 +0000
+++ olive/frontend/gtk/checkout.py	2006-09-05 01:20:15 +0000
@@ -27,7 +27,6 @@
 except:
     sys.exit(1)
 
-import olive.backend.init as init
 import bzrlib.errors as errors
 
 class OliveCheckout:
@@ -71,15 +70,49 @@
         
         spinbutton_revno = self.glade.get_widget('spinbutton_checkout_revno')
         revno = spinbutton_revno.get_value_as_int()
-        if revno == 0:
-            revno = None
+        rev_id = source.get_rev_id(revno)
         
         checkbutton_lightweight = self.glade.get_widget('checkbutton_checkout_lightweight')
         lightweight = checkbutton_lightweight.get_active()
         
         self.comm.set_busy(self.window)
         try:
-            init.checkout(location, destination, revno, lightweight)
+            source = Branch.open(location)
+            
+            # if the source and destination are the same, 
+            # and there is no working tree,
+            # then reconstitute a branch
+            if (bzrlib.osutils.abspath(destination) ==
+                bzrlib.osutils.abspath(location)):
+                try:
+                    source.bzrdir.open_workingtree()
+                except NoWorkingTree:
+                    source.bzrdir.create_workingtree()
+                    return
+
+            destination = destination + '/' + os.path.basename(location.rstrip("/\\"))
+            
+            os.mkdir(destination)
+
+            old_format = bzrlib.bzrdir.BzrDirFormat.get_default_format()
+            bzrlib.bzrdir.BzrDirFormat.set_default_format(bzrdir.BzrDirMetaFormat1())
+
+            try:
+                if lightweight:
+                    checkout = bzrdir.BzrDirMetaFormat1().initialize(destination)
+                    bzrlib.branch.BranchReferenceFormat().initialize(checkout, source)
+                else:
+                    checkout_branch = bzrlib.bzrdir.BzrDir.create_branch_convenience(
+                        destination, force_new_tree=False)
+                    checkout = checkout_branch.bzrdir
+                    checkout_branch.bind(source)
+                    if rev_id is not None:
+                        rh = checkout_branch.revno_history()
+                        checkout_branch.set_revno_history(rh[:rh.index(rev_id) + 1])
+
+                checkout.create_workingtree(rev_id)
+            finally:
+                bzrlib.bzrdir.BzrDirFormat.set_default_format(old_format)
         except errors.NotBranchError, errmsg:
             self.dialog.error_dialog(_('Location is not a branch'),
                                      _('The specified location has to be a branch.'))

=== modified file 'olive/frontend/gtk/handler.py'
--- olive/frontend/gtk/handler.py	2006-09-05 01:00:51 +0000
+++ olive/frontend/gtk/handler.py	2006-09-05 01:20:15 +0000
@@ -165,20 +165,36 @@
     
     def on_menuitem_branch_initialize_activate(self, widget):
         """ Initialize current directory. """
-        import olive.backend.init as init
-        
         try:
-            init.init(self.comm.get_path())
+            location = self.comm.get_path()
+            from bzrlib.builtins import get_format_type
+
+            format = get_format_type('default')
+ 
+            if not os.path.exists(location):
+                os.mkdir(location)
+     
+            try:
+                existing_bzrdir = bzrdir.BzrDir.open(location)
+            except NotBranchError:
+                bzrdir.BzrDir.create_branch_convenience(location, format=format)
+            else:
+                if existing_bzrdir.has_branch():
+                    if existing_bzrdir.has_workingtree():
+                        raise AlreadyBranchError(location)
+                    else:
+                        raise BranchExistsWithoutWorkingTree(location)
+                else:
+                    existing_bzrdir.create_branch()
+                    existing_bzrdir.create_workingtree()
         except errors.AlreadyBranchError, errmsg:
             self.dialog.error_dialog(_('Directory is already a branch'),
                                      _('The current directory (%s) is already a branch.\nYou can start using it, or initialize another directory.') % errmsg)
         except errors.BranchExistsWithoutWorkingTree, errmsg:
             self.dialog.error_dialog(_('Branch without a working tree'),
                                      _('The current directory (%s)\nis a branch without a working tree.') % errmsg)
-        except:
-            raise
         else:
-            self.dialog.info_dialog(_('Ininialize successful'),
+            self.dialog.info_dialog(_('Initialize successful'),
                                     _('Directory successfully initialized.'))
             self.comm.refresh_right()
         

